Cyberduck Mountain Duck CLI

#1093 closed defect (worksforme)

Data Socket connecting to wrong address

Reported by: scotty_duck Owned by: dkocher
Priority: high Milestone:
Component: ftp Version: 2.7.3
Severity: blocker Keywords:
Cc: amit@… Architecture:
Platform:

Description

When connecting to an ftp server (windows 2003 server) i get connected but the directory listing does not happen. The connection is then closed with "network error : connection failed / operation timed out". This happens after entering passive mode. I believe there is a solution like on other ftp clients which provide an option "use site IP for passive mode connection". This permits connections to sites behind a firewall where the host IP could differ from the ftp server returned one. I am using cyberduck 2.7.3 Please help asap

Change History (3)

comment:1 Changed on Apr 17, 2007 at 6:02:48 AM by rakoth

  • Priority changed from highest to high

I have the same problem it seems.

The last WORKING build of Cyberduck was 2608, but after later updates all connections to my server via passive mode failed.

Here's the transscript:

220 iNet ftp proxy system
USER rakoth
331---------- Welcome to Pure-FTPd [privsep] [TLS] ----------
331-You are user number 1 of 50 allowed.
331-Local time is now 08:45. Server port: 21.
331-This is a private system - No anonymous login
331-You will be disconnected after 15 minutes of inactivity.
331 User rakoth OK. Password required
PASS ********
230-User rakoth has group access to:  10000   
230 OK. Current directory is /
SYST
215 UNIX Type: L8
NOOP
200 Zzz...
CWD /
250 OK. Current directory is /
PASV
227 Entering Passive Mode (192,168,21,1,151,245)

Here Cuberduck reports 'connection refused'.

I'm actually trying to connect to ip 192.168.200.54, while 192.168.21.1 is ip address of my gateway/proxy to the outer LAN.

Guess thats where the dog is buried.

comment:2 Changed on Jul 2, 2007 at 10:47:58 AM by dkocher

  • Summary changed from listing directory problem in passive (psv) mode to Data Socket connecting to wrong address

Is this still an issue? Actually if the response from the server, like 227 Entering Passive Mode (192,168,21,1,151,245), is a site local address, Cyberduck will try to connect to the remote IP address resolved by its own.

comment:3 Changed on May 11, 2008 at 12:36:37 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software